@import "pref";

// Examples of the styles can be found here:
//  https://getbootstrap.com/docs/4.0/components/alerts/

.dwfe-alert {
  @include reset-margin-padding();
  padding: 5px 10px;

  @include fonts($font-size-x1, $font-height-normal, $font-weight-normal, normal, $color-black);

  border: 1px solid;
  border-radius: $border-radius-15x;

  &.dwfe-alert--error {
    color: $color-danger;
    background-color: $color-bg-warning;
    border-color: $color-border-warning;
    box-shadow: 0 0 0 0 $color-danger;
  }

  &.dwfe-alert--success {
    color: $color-japanese-laurel-approx;
    background-color: $color-bg-success;
    border-color: $color-border-success;
    box-shadow: 0 0 0 0 $color-japanese-laurel-approx;
  }

  &.dwfe-alert--blink {
    animation-name: blink;
    animation-duration: 1.2s;
    animation-iteration-count: 3;
    animation-timing-function: ease-in-out;
  }

  &.dwfe-alert--no-border {
    border: none;
  }
}

@-webkit-keyframes blink { //special for Safari
  0%,
  100% {
    box-shadow: none;
  }
  50% {
    box-shadow: 0 0 1px 3px;
  }
}

@keyframes blink-error {
  0%,
  100% {
    box-shadow: none;
  }
  50% {
    box-shadow: 0 0 1px 3px;
  }
}
